curl --location --request PUT 'https://api.chronox.ai/api/thread/update-thread-notes' \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--data '{
"thread_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"ticket_status_type_id": "88888888-8888-8888-8888-888888888888"
}'{
"status": true,
"data": [
{
"thread_note_id": "aaaaaaaa-aaaa-aaaa-aaaa-aaaaaaaaaaaa",
"thread_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"thread_note_value": "Customer wants a callback.",
"timestamp": "2026-01-01T00:00:00.000Z"
},
{
"thread_note_id": "bbbbbbbb-bbbb-bbbb-bbbb-bbbbbbbbbbbb",
"thread_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"thread_note_value": "Sent pricing PDF.",
"timestamp": "2026-01-01T00:00:00.000Z"
}
]
}